(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('tscommons-core'), require('@angular/core'), require('rxjs'), require('ngx-angularcommons-app'), require('ngx-angularcommons-core'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('ngx-webappcommons-core', ['exports', 'tscommons-core', '@angular/core', 'rxjs', 'ngx-angularcommons-app', 'ngx-angularcommons-core', '@angular/common'], factory) :
    (global = global || self, factory(global['ngx-webappcommons-core'] = {}, global['tscommons-core'], global.ng.core, global.rxjs, global['ngx-angularcommons-app'], global['ngx-angularcommons-core'], global.ng.common));
}(this, (function (exports, tscommonsCore, core, rxjs, ngxAngularcommonsApp, ngxAngularcommonsCore, common) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __createBinding(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        o[k2] = m[k];
    }

    function __exportStar(m, exports) {
        for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    (function (ECommonsThemeColor) {
        ECommonsThemeColor["BLUE"] = "blue";
        ECommonsThemeColor["PURPLE"] = "purple";
        ECommonsThemeColor["DARKRED"] = "darkred";
        ECommonsThemeColor["MUTED"] = "muted";
        ECommonsThemeColor["NIGHT"] = "night";
        ECommonsThemeColor["MARINE"] = "marine";
        ECommonsThemeColor["HOTPINK"] = "hotpink";
    })(exports.ECommonsThemeColor || (exports.ECommonsThemeColor = {}));
    function toECommonsThemeColor(type) {
        switch (type) {
            case exports.ECommonsThemeColor.BLUE.toString():
                return exports.ECommonsThemeColor.BLUE;
            case exports.ECommonsThemeColor.PURPLE.toString():
                return exports.ECommonsThemeColor.PURPLE;
            case exports.ECommonsThemeColor.DARKRED.toString():
                return exports.ECommonsThemeColor.DARKRED;
            case exports.ECommonsThemeColor.MUTED.toString():
                return exports.ECommonsThemeColor.MUTED;
            case exports.ECommonsThemeColor.NIGHT.toString():
                return exports.ECommonsThemeColor.NIGHT;
            case exports.ECommonsThemeColor.MARINE.toString():
                return exports.ECommonsThemeColor.MARINE;
            case exports.ECommonsThemeColor.HOTPINK.toString():
                return exports.ECommonsThemeColor.HOTPINK;
        }
        return undefined;
    }
    function fromECommonsThemeColor(type) {
        switch (type) {
            case exports.ECommonsThemeColor.BLUE:
                return exports.ECommonsThemeColor.BLUE.toString();
            case exports.ECommonsThemeColor.PURPLE:
                return exports.ECommonsThemeColor.PURPLE.toString();
            case exports.ECommonsThemeColor.DARKRED:
                return exports.ECommonsThemeColor.DARKRED.toString();
            case exports.ECommonsThemeColor.MUTED:
                return exports.ECommonsThemeColor.MUTED.toString();
            case exports.ECommonsThemeColor.NIGHT:
                return exports.ECommonsThemeColor.NIGHT.toString();
            case exports.ECommonsThemeColor.MARINE:
                return exports.ECommonsThemeColor.MARINE.toString();
            case exports.ECommonsThemeColor.HOTPINK:
                return exports.ECommonsThemeColor.HOTPINK.toString();
        }
        throw new Error('Unknown ECommonsThemeColor');
    }
    function isECommonsThemeColor(test) {
        if (!tscommonsCore.CommonsType.isString(test))
            return false;
        return toECommonsThemeColor(test) !== undefined;
    }
    function keyToECommonsThemeColor(key) {
        switch (key) {
            case 'BLUE':
                return exports.ECommonsThemeColor.BLUE;
            case 'PURPLE':
                return exports.ECommonsThemeColor.PURPLE;
            case 'DARKRED':
                return exports.ECommonsThemeColor.DARKRED;
            case 'MUTED':
                return exports.ECommonsThemeColor.MUTED;
            case 'NIGHT':
                return exports.ECommonsThemeColor.NIGHT;
            case 'MARINE':
                return exports.ECommonsThemeColor.MARINE;
            case 'HOTPINK':
                return exports.ECommonsThemeColor.HOTPINK;
        }
        throw new Error("Unable to obtain ECommonsThemeColor for key: " + key);
    }
    var ɵ0 = function (e) { return keyToECommonsThemeColor(e); };
    var ECOMMONS_THEME_COLORS = Object.keys(exports.ECommonsThemeColor)
        .map(ɵ0);


    (function (ECommonsThemeContrast) {
        ECommonsThemeContrast["LIGHT"] = "light";
        ECommonsThemeContrast["DARK"] = "dark";
    })(exports.ECommonsThemeContrast || (exports.ECommonsThemeContrast = {}));
    function toECommonsThemeContrast(type) {
        switch (type) {
            case exports.ECommonsThemeContrast.LIGHT.toString():
                return exports.ECommonsThemeContrast.LIGHT;
            case exports.ECommonsThemeContrast.DARK.toString():
                return exports.ECommonsThemeContrast.DARK;
        }
        return undefined;
    }
    function fromECommonsThemeContrast(type) {
        switch (type) {
            case exports.ECommonsThemeContrast.LIGHT:
                return exports.ECommonsThemeContrast.LIGHT.toString();
            case exports.ECommonsThemeContrast.DARK:
                return exports.ECommonsThemeContrast.DARK.toString();
        }
        throw new Error('Unknown ECommonsThemeContrast');
    }
    function isECommonsThemeContrast(test) {
        if (!tscommonsCore.CommonsType.isString(test))
            return false;
        return toECommonsThemeContrast(test) !== undefined;
    }
    function keyToECommonsThemeContrast(key) {
        switch (key) {
            case 'LIGHT':
                return exports.ECommonsThemeContrast.LIGHT;
            case 'DARK':
                return exports.ECommonsThemeContrast.DARK;
        }
        throw new Error("Unable to obtain ECommonsThemeContrast for key: " + key);
    }
    var ɵ0$1 = function (e) { return keyToECommonsThemeContrast(e); };
    var ECOMMONS_THEMES = Object.keys(exports.ECommonsThemeContrast)
        .map(ɵ0$1);


    (function (EMaterialDesignIcons) {
        EMaterialDesignIcons["MATERIALDESIGN"] = "material-design";
        EMaterialDesignIcons["MATERIALDESIGN3"] = "material-design-3";
        EMaterialDesignIcons["MDI"] = "mdi";
    })(exports.EMaterialDesignIcons || (exports.EMaterialDesignIcons = {}));
    function toEMaterialDesignIcons(type) {
        switch (type) {
            case exports.EMaterialDesignIcons.MATERIALDESIGN.toString():
                return exports.EMaterialDesignIcons.MATERIALDESIGN;
            case exports.EMaterialDesignIcons.MATERIALDESIGN3.toString():
                return exports.EMaterialDesignIcons.MATERIALDESIGN3;
            case exports.EMaterialDesignIcons.MDI.toString():
                return exports.EMaterialDesignIcons.MDI;
        }
        return undefined;
    }
    function fromEMaterialDesignIcons(type) {
        switch (type) {
            case exports.EMaterialDesignIcons.MATERIALDESIGN:
                return exports.EMaterialDesignIcons.MATERIALDESIGN.toString();
            case exports.EMaterialDesignIcons.MATERIALDESIGN3:
                return exports.EMaterialDesignIcons.MATERIALDESIGN3.toString();
            case exports.EMaterialDesignIcons.MDI:
                return exports.EMaterialDesignIcons.MDI.toString();
        }
        throw new Error('Unknown EMaterialDesignIcons');
    }
    function isEMaterialDesignIcons(test) {
        if (!tscommonsCore.CommonsType.isString(test))
            return false;
        return toEMaterialDesignIcons(test) !== undefined;
    }
    function keyToEMaterialDesignIcons(key) {
        switch (key) {
            case 'MATERIALDESIGN':
                return exports.EMaterialDesignIcons.MATERIALDESIGN;
            case 'MATERIALDESIGN3':
                return exports.EMaterialDesignIcons.MATERIALDESIGN3;
            case 'MDI':
                return exports.EMaterialDesignIcons.MDI;
        }
        throw new Error("Unable to obtain EMaterialDesignIcons for key: " + key);
    }
    var ɵ0$2 = function (e) { return keyToEMaterialDesignIcons(e); };
    var EMATERIAL_DESIGN_ICONSS = Object.keys(exports.EMaterialDesignIcons)
        .map(ɵ0$2);

    function isTCommonsThemeConfig(test) {
        if (!tscommonsCore.CommonsType.hasPropertyEnum(test, 'color', isECommonsThemeColor))
            return false;
        if (!tscommonsCore.CommonsType.hasPropertyEnum(test, 'contrast', isECommonsThemeContrast))
            return false;
        return true;
    }

    var CommonsThemeService = /** @class */ (function () {
        function CommonsThemeService(rendererFactory, configService) {
            this.configService = configService;
            this.onColorChanged = new rxjs.ReplaySubject(1);
            this.onContrastChanged = new rxjs.ReplaySubject(1);
            this.renderer = rendererFactory.createRenderer(null, null);
        }
        CommonsThemeService.prototype.loadConfigDefault = function () {
            var defaultTheme = this.configService.getObject('theme', 'default');
            if (!isTCommonsThemeConfig(defaultTheme))
                return false;
            this.setCurrentColor(defaultTheme.color);
            this.setCurrentContrast(defaultTheme.contrast);
            return true;
        };
        CommonsThemeService.prototype.getCurrentColor = function () {
            return this.currentColor;
        };
        CommonsThemeService.prototype.getCurrentContrast = function () {
            return this.currentContrast;
        };
        CommonsThemeService.prototype.setCurrentColor = function (color) {
            var e_1, _a;
            this.currentColor = color;
            this.renderer.addClass(document.body, "webappcommons-theme-" + color);
            try {
                for (var ECOMMONS_THEME_COLORS_1 = __values(ECOMMONS_THEME_COLORS), ECOMMONS_THEME_COLORS_1_1 = ECOMMONS_THEME_COLORS_1.next(); !ECOMMONS_THEME_COLORS_1_1.done; ECOMMONS_THEME_COLORS_1_1 = ECOMMONS_THEME_COLORS_1.next()) {
                    var c = ECOMMONS_THEME_COLORS_1_1.value;
                    if (c !== color) {
                        this.renderer.removeClass(document.body, "webappcommons-theme-" + c);
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (ECOMMONS_THEME_COLORS_1_1 && !ECOMMONS_THEME_COLORS_1_1.done && (_a = ECOMMONS_THEME_COLORS_1.return)) _a.call(ECOMMONS_THEME_COLORS_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            this.onColorChanged.next(color);
        };
        CommonsThemeService.prototype.setCurrentContrast = function (contrast) {
            this.currentContrast = contrast;
            switch (contrast) {
                case exports.ECommonsThemeContrast.LIGHT:
                    this.renderer.addClass(document.body, 'theme-light');
                    this.renderer.removeClass(document.body, 'theme-dark');
                    break;
                case exports.ECommonsThemeContrast.DARK:
                    this.renderer.addClass(document.body, 'theme-dark');
                    this.renderer.removeClass(document.body, 'theme-light');
                    break;
            }
            this.onContrastChanged.next(contrast);
        };
        CommonsThemeService.prototype.colorChangedObservable = function () {
            return this.onColorChanged;
        };
        CommonsThemeService.prototype.contrastChangedObservable = function () {
            return this.onContrastChanged;
        };
        CommonsThemeService.ctorParameters = function () { return [
            { type: core.RendererFactory2 },
            { type: ngxAngularcommonsApp.CommonsConfigService }
        ]; };
        CommonsThemeService.ɵprov = core.ɵɵdefineInjectable({ factory: function CommonsThemeService_Factory() { return new CommonsThemeService(core.ɵɵinject(core.RendererFactory2), core.ɵɵinject(ngxAngularcommonsApp.CommonsConfigService)); }, token: CommonsThemeService, providedIn: "root" });
        CommonsThemeService = __decorate([
            core.Injectable({
                providedIn: 'root'
            })
        ], CommonsThemeService);
        return CommonsThemeService;
    }());

    var CommonsPaneComponent = /** @class */ (function (_super) {
        __extends(CommonsPaneComponent, _super);
        function CommonsPaneComponent() {
            return _super.call(this) || this;
        }
        __decorate([
            core.Input()
        ], CommonsPaneComponent.prototype, "title", void 0);
        CommonsPaneComponent = __decorate([
            core.Component({
                selector: 'commons-pane',
                template: "<section>\n\t<h4 *ngIf=\"this.title\">{{this.title}}</h4>\n\t\n\t<ng-content></ng-content>\n</section>",
                styles: ["@charset 'utf8';section{display:block;box-sizing:border-box;padding:13px 20px;z-index:1000}h4{font-family:Roboto;font-weight:400;font-size:16px;margin:0 0 10px}:host-context(body.webappcommons-theme-blue.theme-light) h4{color:#999}:host-context(body.webappcommons-theme-blue.theme-dark) h4{color:#666}:host-context(body.webappcommons-theme-darkred.theme-light) h4{color:#6d6d6d}:host-context(body.webappcommons-theme-darkred.theme-dark) h4{color:#929292}:host-context(body.webappcommons-theme-hotpink.theme-light) h4{color:#999}:host-context(body.webappcommons-theme-hotpink.theme-dark) h4{color:#666}:host-context(body.webappcommons-theme-marine.theme-light) h4{color:#999}:host-context(body.webappcommons-theme-marine.theme-dark) h4{color:#666}:host-context(body.webappcommons-theme-muted.theme-light) h4{color:#999}:host-context(body.webappcommons-theme-muted.theme-dark) h4{color:#666}:host-context(body.webappcommons-theme-night.theme-light) h4{color:#999}:host-context(body.webappcommons-theme-night.theme-dark) h4{color:#666}:host-context(body.webappcommons-theme-patrolred.theme-light) h4{color:#999}:host-context(body.webappcommons-theme-patrolred.theme-dark) h4{color:#666}:host-context(body.webappcommons-theme-purple.theme-light) h4{color:#999}:host-context(body.webappcommons-theme-purple.theme-dark) h4{color:#666}:host.no-top-gap section{padding-top:0}:host.no-bottom-gap section{padding-bottom:0}:host.no-padding section{padding:0}:host-context(.no-padding) section{padding:0}:host.bigger-top-gap section{margin-top:15px}"]
            })
        ], CommonsPaneComponent);
        return CommonsPaneComponent;
    }(ngxAngularcommonsCore.CommonsComponent));

    var CommonsButtonComponent = /** @class */ (function (_super) {
        __extends(CommonsButtonComponent, _super);
        function CommonsButtonComponent() {
            return _super.call(this) || this;
        }
        CommonsButtonComponent = __decorate([
            core.Component({
                selector: '[commons-button]',
                template: "<ng-content></ng-content>",
                styles: ["@charset 'utf8';:host{-webkit-appearance:none;-moz-appearance:none;appearance:none;font-family:Roboto;font-size:16px;line-height:16px;font-weight:500;text-transform:uppercase;box-sizing:border-box;padding:10px 16px;height:36px;min-width:64px;border:0;border-radius:4px;margin:4px;outline:0}:host.icon{width:44px;height:44px;border-radius:22px;padding:0;min-width:0;margin:2px}:host.icon.small{width:30px;height:30px;border-radius:15px}:host.icon.huge{width:100px;height:100px;border-radius:50px}:host-context(body.webappcommons-theme-blue.theme-light){background-color:#fff;color:#304ffe}:host-context(body.webappcommons-theme-blue.theme-light):active{background-color:#fff;color:#fff350}:host-context(body.webappcommons-theme-blue.theme-light).raised{background-color:#fff;color:#333}:host-context(body.webappcommons-theme-blue.theme-light).raised:active{background-color:#fff;color:#ffc107}:host-context(body.webappcommons-theme-blue.theme-light).filled{background-color:#304ffe;color:#fff}:host-context(body.webappcommons-theme-blue.theme-light).filled:active{background-color:#ffc107;color:#000}:host-context(body.webappcommons-theme-blue.theme-light).filled.secondary{background-color:#ffc107;color:#000}:host-context(body.webappcommons-theme-blue.theme-light).filled:disabled{background-color:#fff;color:#c2c2c2}:host-context(body.webappcommons-theme-blue.theme-light).filled,:host-context(body.webappcommons-theme-blue.theme-light).raised{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-blue.theme-light).transparent{background-color:none}:host-context(body.webappcommons-theme-blue.theme-light):disabled{background-color:#fff;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-blue.theme-light):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-blue.theme-light).icon.filled:disabled{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-blue.theme-dark){background-color:#000;color:#304ffe}:host-context(body.webappcommons-theme-blue.theme-dark):active{background-color:#000;color:#c79100}:host-context(body.webappcommons-theme-blue.theme-dark).raised{background-color:#000;color:#ccc}:host-context(body.webappcommons-theme-blue.theme-dark).raised:active{background-color:#000;color:#ffc107}:host-context(body.webappcommons-theme-blue.theme-dark).filled{background-color:#304ffe;color:#fff}:host-context(body.webappcommons-theme-blue.theme-dark).filled:active{background-color:#ffc107;color:#000}:host-context(body.webappcommons-theme-blue.theme-dark).filled.secondary{background-color:#ffc107;color:#000}:host-context(body.webappcommons-theme-blue.theme-dark).filled:disabled{background-color:#000;color:#c2c2c2}:host-context(body.webappcommons-theme-blue.theme-dark).filled,:host-context(body.webappcommons-theme-blue.theme-dark).raised{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-blue.theme-dark).transparent{background-color:none}:host-context(body.webappcommons-theme-blue.theme-dark):disabled{background-color:#000;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-blue.theme-dark):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-blue.theme-dark).icon.filled:disabled{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-darkred.theme-light){background-color:#212121;color:#d50000}:host-context(body.webappcommons-theme-darkred.theme-light):active{background-color:#212121;color:#ffff72}:host-context(body.webappcommons-theme-darkred.theme-light).raised{background-color:#212121;color:#b8b8b8}:host-context(body.webappcommons-theme-darkred.theme-light).raised:active{background-color:#212121;color:#ffeb3b}:host-context(body.webappcommons-theme-darkred.theme-light).filled{background-color:#d50000;color:#fff}:host-context(body.webappcommons-theme-darkred.theme-light).filled:active{background-color:#ffeb3b;color:#000}:host-context(body.webappcommons-theme-darkred.theme-light).filled.secondary{background-color:#ffeb3b;color:#000}:host-context(body.webappcommons-theme-darkred.theme-light).filled:disabled{background-color:#212121;color:#4e4e4e}:host-context(body.webappcommons-theme-darkred.theme-light).filled,:host-context(body.webappcommons-theme-darkred.theme-light).raised{box-shadow:.7px 1px 5px -.3px rgba(222,222,222,.5)}:host-context(body.webappcommons-theme-darkred.theme-light).transparent{background-color:none}:host-context(body.webappcommons-theme-darkred.theme-light):disabled{background-color:#212121;color:#4e4e4e;box-shadow:none}:host-context(body.webappcommons-theme-darkred.theme-light):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-darkred.theme-light).icon.filled:disabled{box-shadow:.7px 1px 5px -.3px rgba(222,222,222,.5)}:host-context(body.webappcommons-theme-darkred.theme-dark){background-color:#dedede;color:#d50000}:host-context(body.webappcommons-theme-darkred.theme-dark):active{background-color:#dedede;color:#c8b900}:host-context(body.webappcommons-theme-darkred.theme-dark).raised{background-color:#dedede;color:#474747}:host-context(body.webappcommons-theme-darkred.theme-dark).raised:active{background-color:#dedede;color:#ffeb3b}:host-context(body.webappcommons-theme-darkred.theme-dark).filled{background-color:#d50000;color:#fff}:host-context(body.webappcommons-theme-darkred.theme-dark).filled:active{background-color:#ffeb3b;color:#000}:host-context(body.webappcommons-theme-darkred.theme-dark).filled.secondary{background-color:#ffeb3b;color:#000}:host-context(body.webappcommons-theme-darkred.theme-dark).filled:disabled{background-color:#dedede;color:#4e4e4e}:host-context(body.webappcommons-theme-darkred.theme-dark).filled,:host-context(body.webappcommons-theme-darkred.theme-dark).raised{box-shadow:-.7px -1px 5px -.3px rgba(33,33,33,.5)}:host-context(body.webappcommons-theme-darkred.theme-dark).transparent{background-color:none}:host-context(body.webappcommons-theme-darkred.theme-dark):disabled{background-color:#dedede;color:#4e4e4e;box-shadow:none}:host-context(body.webappcommons-theme-darkred.theme-dark):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-darkred.theme-dark).icon.filled:disabled{box-shadow:-.7px -1px 5px -.3px rgba(33,33,33,.5)}:host-context(body.webappcommons-theme-hotpink.theme-light){background-color:#fff;color:#ef6ab3}:host-context(body.webappcommons-theme-hotpink.theme-light):active{background-color:#fff;color:#d0ffff}:host-context(body.webappcommons-theme-hotpink.theme-light).raised{background-color:#fff;color:#333}:host-context(body.webappcommons-theme-hotpink.theme-light).raised:active{background-color:#fff;color:#9debef}:host-context(body.webappcommons-theme-hotpink.theme-light).filled{background-color:#ef6ab3;color:#fff}:host-context(body.webappcommons-theme-hotpink.theme-light).filled:active{background-color:#9debef;color:#000}:host-context(body.webappcommons-theme-hotpink.theme-light).filled.secondary{background-color:#9debef;color:#000}:host-context(body.webappcommons-theme-hotpink.theme-light).filled:disabled{background-color:#fff;color:#c2c2c2}:host-context(body.webappcommons-theme-hotpink.theme-light).filled,:host-context(body.webappcommons-theme-hotpink.theme-light).raised{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-hotpink.theme-light).transparent{background-color:none}:host-context(body.webappcommons-theme-hotpink.theme-light):disabled{background-color:#fff;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-hotpink.theme-light):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-hotpink.theme-light).icon.filled:disabled{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-hotpink.theme-dark){background-color:#000;color:#ef6ab3}:host-context(body.webappcommons-theme-hotpink.theme-dark):active{background-color:#000;color:#6bb8bd}:host-context(body.webappcommons-theme-hotpink.theme-dark).raised{background-color:#000;color:#ccc}:host-context(body.webappcommons-theme-hotpink.theme-dark).raised:active{background-color:#000;color:#9debef}:host-context(body.webappcommons-theme-hotpink.theme-dark).filled{background-color:#ef6ab3;color:#fff}:host-context(body.webappcommons-theme-hotpink.theme-dark).filled:active{background-color:#9debef;color:#000}:host-context(body.webappcommons-theme-hotpink.theme-dark).filled.secondary{background-color:#9debef;color:#000}:host-context(body.webappcommons-theme-hotpink.theme-dark).filled:disabled{background-color:#000;color:#c2c2c2}:host-context(body.webappcommons-theme-hotpink.theme-dark).filled,:host-context(body.webappcommons-theme-hotpink.theme-dark).raised{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-hotpink.theme-dark).transparent{background-color:none}:host-context(body.webappcommons-theme-hotpink.theme-dark):disabled{background-color:#000;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-hotpink.theme-dark):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-hotpink.theme-dark).icon.filled:disabled{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-marine.theme-light){background-color:#fff;color:#2994ae}:host-context(body.webappcommons-theme-marine.theme-light):active{background-color:#fff;color:#cbffff}:host-context(body.webappcommons-theme-marine.theme-light).raised{background-color:#fff;color:#333}:host-context(body.webappcommons-theme-marine.theme-light).raised:active{background-color:#fff;color:#99d1dd}:host-context(body.webappcommons-theme-marine.theme-light).filled{background-color:#2994ae;color:#fff}:host-context(body.webappcommons-theme-marine.theme-light).filled:active{background-color:#99d1dd;color:#000}:host-context(body.webappcommons-theme-marine.theme-light).filled.secondary{background-color:#99d1dd;color:#000}:host-context(body.webappcommons-theme-marine.theme-light).filled:disabled{background-color:#fff;color:#c2c2c2}:host-context(body.webappcommons-theme-marine.theme-light).filled,:host-context(body.webappcommons-theme-marine.theme-light).raised{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-marine.theme-light).transparent{background-color:none}:host-context(body.webappcommons-theme-marine.theme-light):disabled{background-color:#fff;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-marine.theme-light):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-marine.theme-light).icon.filled:disabled{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-marine.theme-dark){background-color:#000;color:#2994ae}:host-context(body.webappcommons-theme-marine.theme-dark):active{background-color:#000;color:#69a0ab}:host-context(body.webappcommons-theme-marine.theme-dark).raised{background-color:#000;color:#ccc}:host-context(body.webappcommons-theme-marine.theme-dark).raised:active{background-color:#000;color:#99d1dd}:host-context(body.webappcommons-theme-marine.theme-dark).filled{background-color:#2994ae;color:#fff}:host-context(body.webappcommons-theme-marine.theme-dark).filled:active{background-color:#99d1dd;color:#000}:host-context(body.webappcommons-theme-marine.theme-dark).filled.secondary{background-color:#99d1dd;color:#000}:host-context(body.webappcommons-theme-marine.theme-dark).filled:disabled{background-color:#000;color:#c2c2c2}:host-context(body.webappcommons-theme-marine.theme-dark).filled,:host-context(body.webappcommons-theme-marine.theme-dark).raised{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-marine.theme-dark).transparent{background-color:none}:host-context(body.webappcommons-theme-marine.theme-dark):disabled{background-color:#000;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-marine.theme-dark):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-marine.theme-dark).icon.filled:disabled{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-muted.theme-light){background-color:#fff;color:#54637a}:host-context(body.webappcommons-theme-muted.theme-light):active{background-color:#fff;color:#ffff6b}:host-context(body.webappcommons-theme-muted.theme-light).raised{background-color:#fff;color:#333}:host-context(body.webappcommons-theme-muted.theme-light).raised:active{background-color:#fff;color:#fdd835}:host-context(body.webappcommons-theme-muted.theme-light).filled{background-color:#54637a;color:#fff}:host-context(body.webappcommons-theme-muted.theme-light).filled:active{background-color:#fdd835;color:#000}:host-context(body.webappcommons-theme-muted.theme-light).filled.secondary{background-color:#fdd835;color:#000}:host-context(body.webappcommons-theme-muted.theme-light).filled:disabled{background-color:#fff;color:#c2c2c2}:host-context(body.webappcommons-theme-muted.theme-light).filled,:host-context(body.webappcommons-theme-muted.theme-light).raised{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-muted.theme-light).transparent{background-color:none}:host-context(body.webappcommons-theme-muted.theme-light):disabled{background-color:#fff;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-muted.theme-light):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-muted.theme-light).icon.filled:disabled{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-muted.theme-dark){background-color:#000;color:#54637a}:host-context(body.webappcommons-theme-muted.theme-dark):active{background-color:#000;color:#c6a700}:host-context(body.webappcommons-theme-muted.theme-dark).raised{background-color:#000;color:#ccc}:host-context(body.webappcommons-theme-muted.theme-dark).raised:active{background-color:#000;color:#fdd835}:host-context(body.webappcommons-theme-muted.theme-dark).filled{background-color:#54637a;color:#fff}:host-context(body.webappcommons-theme-muted.theme-dark).filled:active{background-color:#fdd835;color:#000}:host-context(body.webappcommons-theme-muted.theme-dark).filled.secondary{background-color:#fdd835;color:#000}:host-context(body.webappcommons-theme-muted.theme-dark).filled:disabled{background-color:#000;color:#c2c2c2}:host-context(body.webappcommons-theme-muted.theme-dark).filled,:host-context(body.webappcommons-theme-muted.theme-dark).raised{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-muted.theme-dark).transparent{background-color:none}:host-context(body.webappcommons-theme-muted.theme-dark):disabled{background-color:#000;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-muted.theme-dark):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-muted.theme-dark).icon.filled:disabled{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-night.theme-light){background-color:#fff;color:#104e7c}:host-context(body.webappcommons-theme-night.theme-light):active{background-color:#fff;color:#e8d9bf}:host-context(body.webappcommons-theme-night.theme-light).raised{background-color:#fff;color:#333}:host-context(body.webappcommons-theme-night.theme-light).raised:active{background-color:#fff;color:#e7c385}:host-context(body.webappcommons-theme-night.theme-light).filled{background-color:#104e7c;color:#fff}:host-context(body.webappcommons-theme-night.theme-light).filled:active{background-color:#e7c385;color:#000}:host-context(body.webappcommons-theme-night.theme-light).filled.secondary{background-color:#e7c385;color:#000}:host-context(body.webappcommons-theme-night.theme-light).filled:disabled{background-color:#fff;color:#c2c2c2}:host-context(body.webappcommons-theme-night.theme-light).filled,:host-context(body.webappcommons-theme-night.theme-light).raised{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-night.theme-light).transparent{background-color:none}:host-context(body.webappcommons-theme-night.theme-light):disabled{background-color:#fff;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-night.theme-light):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-night.theme-light).icon.filled:disabled{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-night.theme-dark){background-color:#000;color:#104e7c}:host-context(body.webappcommons-theme-night.theme-dark):active{background-color:#000;color:#948467}:host-context(body.webappcommons-theme-night.theme-dark).raised{background-color:#000;color:#ccc}:host-context(body.webappcommons-theme-night.theme-dark).raised:active{background-color:#000;color:#e7c385}:host-context(body.webappcommons-theme-night.theme-dark).filled{background-color:#104e7c;color:#fff}:host-context(body.webappcommons-theme-night.theme-dark).filled:active{background-color:#e7c385;color:#000}:host-context(body.webappcommons-theme-night.theme-dark).filled.secondary{background-color:#e7c385;color:#000}:host-context(body.webappcommons-theme-night.theme-dark).filled:disabled{background-color:#000;color:#c2c2c2}:host-context(body.webappcommons-theme-night.theme-dark).filled,:host-context(body.webappcommons-theme-night.theme-dark).raised{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-night.theme-dark).transparent{background-color:none}:host-context(body.webappcommons-theme-night.theme-dark):disabled{background-color:#000;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-night.theme-dark):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-night.theme-dark).icon.filled:disabled{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-patrolred.theme-light){background-color:#fff;color:#d6001c}:host-context(body.webappcommons-theme-patrolred.theme-light):active{background-color:#fff;color:#c1d5e0}:host-context(body.webappcommons-theme-patrolred.theme-light).raised{background-color:#fff;color:#333}:host-context(body.webappcommons-theme-patrolred.theme-light).raised:active{background-color:#fff;color:#90a4ae}:host-context(body.webappcommons-theme-patrolred.theme-light).filled{background-color:#d6001c;color:#fff}:host-context(body.webappcommons-theme-patrolred.theme-light).filled:active{background-color:#90a4ae;color:#fff}:host-context(body.webappcommons-theme-patrolred.theme-light).filled.secondary{background-color:#90a4ae;color:#fff}:host-context(body.webappcommons-theme-patrolred.theme-light).filled:disabled{background-color:#fff;color:#c2c2c2}:host-context(body.webappcommons-theme-patrolred.theme-light).filled,:host-context(body.webappcommons-theme-patrolred.theme-light).raised{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-patrolred.theme-light).transparent{background-color:none}:host-context(body.webappcommons-theme-patrolred.theme-light):disabled{background-color:#fff;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-patrolred.theme-light):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-patrolred.theme-light).icon.filled:disabled{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-patrolred.theme-dark){background-color:#000;color:#d6001c}:host-context(body.webappcommons-theme-patrolred.theme-dark):active{background-color:#000;color:#62757f}:host-context(body.webappcommons-theme-patrolred.theme-dark).raised{background-color:#000;color:#ccc}:host-context(body.webappcommons-theme-patrolred.theme-dark).raised:active{background-color:#000;color:#90a4ae}:host-context(body.webappcommons-theme-patrolred.theme-dark).filled{background-color:#d6001c;color:#fff}:host-context(body.webappcommons-theme-patrolred.theme-dark).filled:active{background-color:#90a4ae;color:#fff}:host-context(body.webappcommons-theme-patrolred.theme-dark).filled.secondary{background-color:#90a4ae;color:#fff}:host-context(body.webappcommons-theme-patrolred.theme-dark).filled:disabled{background-color:#000;color:#c2c2c2}:host-context(body.webappcommons-theme-patrolred.theme-dark).filled,:host-context(body.webappcommons-theme-patrolred.theme-dark).raised{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-patrolred.theme-dark).transparent{background-color:none}:host-context(body.webappcommons-theme-patrolred.theme-dark):disabled{background-color:#000;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-patrolred.theme-dark):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-patrolred.theme-dark).icon.filled:disabled{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-purple.theme-light){background-color:#fff;color:#609}:host-context(body.webappcommons-theme-purple.theme-light):active{background-color:#fff;color:#fff350}:host-context(body.webappcommons-theme-purple.theme-light).raised{background-color:#fff;color:#333}:host-context(body.webappcommons-theme-purple.theme-light).raised:active{background-color:#fff;color:#fc3}:host-context(body.webappcommons-theme-purple.theme-light).filled{background-color:#609;color:#fff}:host-context(body.webappcommons-theme-purple.theme-light).filled:active{background-color:#fc3;color:#000}:host-context(body.webappcommons-theme-purple.theme-light).filled.secondary{background-color:#fc3;color:#000}:host-context(body.webappcommons-theme-purple.theme-light).filled:disabled{background-color:#fff;color:#c2c2c2}:host-context(body.webappcommons-theme-purple.theme-light).filled,:host-context(body.webappcommons-theme-purple.theme-light).raised{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-purple.theme-light).transparent{background-color:none}:host-context(body.webappcommons-theme-purple.theme-light):disabled{background-color:#fff;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-purple.theme-light):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-purple.theme-light).icon.filled:disabled{box-shadow:.7px 1px 5px -.3px rgba(0,0,0,.5)}:host-context(body.webappcommons-theme-purple.theme-dark){background-color:#000;color:#609}:host-context(body.webappcommons-theme-purple.theme-dark):active{background-color:#000;color:#c79100}:host-context(body.webappcommons-theme-purple.theme-dark).raised{background-color:#000;color:#ccc}:host-context(body.webappcommons-theme-purple.theme-dark).raised:active{background-color:#000;color:#fc3}:host-context(body.webappcommons-theme-purple.theme-dark).filled{background-color:#609;color:#fff}:host-context(body.webappcommons-theme-purple.theme-dark).filled:active{background-color:#fc3;color:#000}:host-context(body.webappcommons-theme-purple.theme-dark).filled.secondary{background-color:#fc3;color:#000}:host-context(body.webappcommons-theme-purple.theme-dark).filled:disabled{background-color:#000;color:#c2c2c2}:host-context(body.webappcommons-theme-purple.theme-dark).filled,:host-context(body.webappcommons-theme-purple.theme-dark).raised{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}:host-context(body.webappcommons-theme-purple.theme-dark).transparent{background-color:none}:host-context(body.webappcommons-theme-purple.theme-dark):disabled{background-color:#000;color:#c2c2c2;box-shadow:none}:host-context(body.webappcommons-theme-purple.theme-dark):disabled.transparent{background-color:none}:host-context(body.webappcommons-theme-purple.theme-dark).icon.filled:disabled{box-shadow:-.7px -1px 5px -.3px rgba(255,255,255,.5)}"]
            })
        ], CommonsButtonComponent);
        return CommonsButtonComponent;
    }(ngxAngularcommonsCore.CommonsComponent));

    var CommonsButtonBarComponent = /** @class */ (function (_super) {
        __extends(CommonsButtonBarComponent, _super);
        function CommonsButtonBarComponent() {
            return _super.call(this) || this;
        }
        CommonsButtonBarComponent = __decorate([
            core.Component({
                selector: 'commons-button-bar',
                template: "<aside><ng-content></ng-content></aside>\n",
                styles: ["@charset 'utf8';aside{display:flex;flex-wrap:wrap;align-items:center;justify-content:flex-start;gap:8px}:host.right aside{justify-content:flex-end}:host.center aside{justify-content:center}"]
            })
        ], CommonsButtonBarComponent);
        return CommonsButtonBarComponent;
    }(ngxAngularcommonsCore.CommonsComponent));

    var CommonsInfoLineComponent = /** @class */ (function (_super) {
        __extends(CommonsInfoLineComponent, _super);
        function CommonsInfoLineComponent() {
            var _this = _super.call(this) || this;
            _this.onClose = new core.EventEmitter();
            return _this;
        }
        __decorate([
            core.Input()
        ], CommonsInfoLineComponent.prototype, "allowClose", void 0);
        __decorate([
            core.Output()
        ], CommonsInfoLineComponent.prototype, "onClose", void 0);
        CommonsInfoLineComponent = __decorate([
            core.Component({
                selector: 'commons-info-line',
                template: "<aside>\n\t<i class=\"material-icons info\">info</i>\n\t<i class=\"material-icons error\">warning</i>\n\t<i class=\"material-icons notification\">priority_high</i>\n\t<i class=\"material-icons success\">check</i>\n\t<i class=\"material-icons help\">lightbulb_outline</i>\n\t<i class=\"material-icons close\" *ngIf=\"this.allowClose\"\n\t\t\t(click)=\"this.onClose.emit();\"\n\t>close</i>\n\t<ng-content></ng-content>\n</aside>\n",
                styles: ["@charset 'utf8';:host i.error,:host i.help,:host i.info,:host i.notification,:host i.subtle,:host i.success{display:none}:host[info] i.info{display:inline-block}:host[error] i.error{display:inline-block}:host[notification] i.notification{display:inline-block}:host[success] i.success{display:inline-block}:host[help] i.help{display:inline-block}:host[subtle] i.info{display:inline-block}aside{position:relative;top:0;left:0;display:block;width:100%;height:50px;box-sizing:border-box;padding-top:18px;font-family:Roboto;font-size:14px;font-weight:500;line-height:14px;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;text-align:left;padding-left:1em;padding-right:1em;margin:20px 0 10px}:host-context(body.webappcommons-theme-blue.theme-light) aside{background-color:#fff;color:#000}:host-context(body.webappcommons-theme-blue.theme-dark) aside{background-color:#000;color:#fff}:host-context(body.webappcommons-theme-darkred.theme-light) aside{background-color:#212121;color:#dedede}:host-context(body.webappcommons-theme-darkred.theme-dark) aside{background-color:#dedede;color:#212121}:host-context(body.webappcommons-theme-hotpink.theme-light) aside{background-color:#fff;color:#000}:host-context(body.webappcommons-theme-hotpink.theme-dark) aside{background-color:#000;color:#fff}:host-context(body.webappcommons-theme-marine.theme-light) aside{background-color:#fff;color:#000}:host-context(body.webappcommons-theme-marine.theme-dark) aside{background-color:#000;color:#fff}:host-context(body.webappcommons-theme-muted.theme-light) aside{background-color:#fff;color:#000}:host-context(body.webappcommons-theme-muted.theme-dark) aside{background-color:#000;color:#fff}:host-context(body.webappcommons-theme-night.theme-light) aside{background-color:#fff;color:#000}:host-context(body.webappcommons-theme-night.theme-dark) aside{background-color:#000;color:#fff}:host-context(body.webappcommons-theme-patrolred.theme-light) aside{background-color:#fff;color:#000}:host-context(body.webappcommons-theme-patrolred.theme-dark) aside{background-color:#000;color:#fff}:host-context(body.webappcommons-theme-purple.theme-light) aside{background-color:#fff;color:#000}:host-context(body.webappcommons-theme-purple.theme-dark) aside{background-color:#000;color:#fff}aside i.error,aside i.help,aside i.info,aside i.notification,aside i.subtle,aside i.success{float:left;font-size:inherit;margin-right:1em;color:inherit}aside i.close{position:absolute;right:1em;top:18px;font-size:inherit;color:inherit}:host.compact aside{margin:0}:host-context(body.webappcommons-theme-blue)[info] aside{background-color:#304ffe;color:#fff}:host-context(body.webappcommons-theme-blue)[error] aside{background-color:#e63322;color:#fff}:host-context(body.webappcommons-theme-blue)[notification] aside{background-color:#ffc107;color:#000}:host-context(body.webappcommons-theme-blue)[success] aside{background-color:#8bc34a;color:#000}:host-context(body.webappcommons-theme-blue)[help] aside{background-color:#fffbcb;color:#000}:host-context(body.webappcommons-theme-blue.theme-light)[subtle] aside{background-color:#999;color:#333}:host-context(body.webappcommons-theme-blue.theme-dark)[subtle] aside{background-color:#666;color:#000}:host-context(body.webappcommons-theme-blue.theme-light)[subtler] aside{background-color:#bfbfbf;color:#333}:host-context(body.webappcommons-theme-blue.theme-dark)[subtler] aside{background-color:#404040;color:#000}:host-context(body.webappcommons-theme-blue.theme-light)[subtlest] aside{background-color:#f2f2f2;color:#333}:host-context(body.webappcommons-theme-blue.theme-dark)[subtlest] aside{background-color:#0d0d0d;color:#000}:host-context(body.webappcommons-theme-darkred)[info] aside{background-color:#d50000;color:#fff}:host-context(body.webappcommons-theme-darkred)[error] aside{background-color:#e63322;color:#fff}:host-context(body.webappcommons-theme-darkred)[notification] aside{background-color:#ffeb3b;color:#000}:host-context(body.webappcommons-theme-darkred)[success] aside{background-color:#8bc34a;color:#000}:host-context(body.webappcommons-theme-darkred)[help] aside{background-color:#646439;color:#000}:host-context(body.webappcommons-theme-darkred.theme-light)[subtle] aside{background-color:#6d6d6d;color:#b8b8b8}:host-context(body.webappcommons-theme-darkred.theme-dark)[subtle] aside{background-color:#929292;color:#dedede}:host-context(body.webappcommons-theme-darkred.theme-light)[subtler] aside{background-color:#505050;color:#b8b8b8}:host-context(body.webappcommons-theme-darkred.theme-dark)[subtler] aside{background-color:#afafaf;color:#dedede}:host-context(body.webappcommons-theme-darkred.theme-light)[subtlest] aside{background-color:#2a2a2a;color:#b8b8b8}:host-context(body.webappcommons-theme-darkred.theme-dark)[subtlest] aside{background-color:#d5d5d5;color:#dedede}:host-context(body.webappcommons-theme-hotpink)[info] aside{background-color:#ef6ab3;color:#fff}:host-context(body.webappcommons-theme-hotpink)[error] aside{background-color:#e63322;color:#fff}:host-context(body.webappcommons-theme-hotpink)[notification] aside{background-color:#9debef;color:#000}:host-context(body.webappcommons-theme-hotpink)[success] aside{background-color:#8bc34a;color:#000}:host-context(body.webappcommons-theme-hotpink)[help] aside{background-color:#f1ffff;color:#000}:host-context(body.webappcommons-theme-hotpink.theme-light)[subtle] aside{background-color:#999;color:#333}:host-context(body.webappcommons-theme-hotpink.theme-dark)[subtle] aside{background-color:#666;color:#000}:host-context(body.webappcommons-theme-hotpink.theme-light)[subtler] aside{background-color:#bfbfbf;color:#333}:host-context(body.webappcommons-theme-hotpink.theme-dark)[subtler] aside{background-color:#404040;color:#000}:host-context(body.webappcommons-theme-hotpink.theme-light)[subtlest] aside{background-color:#f2f2f2;color:#333}:host-context(body.webappcommons-theme-hotpink.theme-dark)[subtlest] aside{background-color:#0d0d0d;color:#000}:host-context(body.webappcommons-theme-marine)[info] aside{background-color:#2994ae;color:#fff}:host-context(body.webappcommons-theme-marine)[error] aside{background-color:#e63322;color:#fff}:host-context(body.webappcommons-theme-marine)[notification] aside{background-color:#99d1dd;color:#000}:host-context(body.webappcommons-theme-marine)[success] aside{background-color:#8bc34a;color:#000}:host-context(body.webappcommons-theme-marine)[help] aside{background-color:#efffff;color:#000}:host-context(body.webappcommons-theme-marine.theme-light)[subtle] aside{background-color:#999;color:#333}:host-context(body.webappcommons-theme-marine.theme-dark)[subtle] aside{background-color:#666;color:#000}:host-context(body.webappcommons-theme-marine.theme-light)[subtler] aside{background-color:#bfbfbf;color:#333}:host-context(body.webappcommons-theme-marine.theme-dark)[subtler] aside{background-color:#404040;color:#000}:host-context(body.webappcommons-theme-marine.theme-light)[subtlest] aside{background-color:#f2f2f2;color:#333}:host-context(body.webappcommons-theme-marine.theme-dark)[subtlest] aside{background-color:#0d0d0d;color:#000}:host-context(body.webappcommons-theme-muted)[info] aside{background-color:#54637a;color:#fff}:host-context(body.webappcommons-theme-muted)[error] aside{background-color:#e63322;color:#fff}:host-context(body.webappcommons-theme-muted)[notification] aside{background-color:#fdd835;color:#000}:host-context(body.webappcommons-theme-muted)[success] aside{background-color:#8bc34a;color:#000}:host-context(body.webappcommons-theme-muted)[help] aside{background-color:#ffffd3;color:#000}:host-context(body.webappcommons-theme-muted.theme-light)[subtle] aside{background-color:#999;color:#333}:host-context(body.webappcommons-theme-muted.theme-dark)[subtle] aside{background-color:#666;color:#000}:host-context(body.webappcommons-theme-muted.theme-light)[subtler] aside{background-color:#bfbfbf;color:#333}:host-context(body.webappcommons-theme-muted.theme-dark)[subtler] aside{background-color:#404040;color:#000}:host-context(body.webappcommons-theme-muted.theme-light)[subtlest] aside{background-color:#f2f2f2;color:#333}:host-context(body.webappcommons-theme-muted.theme-dark)[subtlest] aside{background-color:#0d0d0d;color:#000}:host-context(body.webappcommons-theme-night)[info] aside{background-color:#104e7c;color:#fff}:host-context(body.webappcommons-theme-night)[error] aside{background-color:#e63322;color:#fff}:host-context(body.webappcommons-theme-night)[notification] aside{background-color:#e7c385;color:#000}:host-context(body.webappcommons-theme-night)[success] aside{background-color:#8bc34a;color:#000}:host-context(body.webappcommons-theme-night)[help] aside{background-color:#f8f4ec;color:#000}:host-context(body.webappcommons-theme-night.theme-light)[subtle] aside{background-color:#999;color:#333}:host-context(body.webappcommons-theme-night.theme-dark)[subtle] aside{background-color:#666;color:#000}:host-context(body.webappcommons-theme-night.theme-light)[subtler] aside{background-color:#bfbfbf;color:#333}:host-context(body.webappcommons-theme-night.theme-dark)[subtler] aside{background-color:#404040;color:#000}:host-context(body.webappcommons-theme-night.theme-light)[subtlest] aside{background-color:#f2f2f2;color:#333}:host-context(body.webappcommons-theme-night.theme-dark)[subtlest] aside{background-color:#0d0d0d;color:#000}:host-context(body.webappcommons-theme-patrolred)[info] aside{background-color:#d6001c;color:#fff}:host-context(body.webappcommons-theme-patrolred)[error] aside{background-color:#e63322;color:#fff}:host-context(body.webappcommons-theme-patrolred)[notification] aside{background-color:#90a4ae;color:#fff}:host-context(body.webappcommons-theme-patrolred)[success] aside{background-color:#8bc34a;color:#000}:host-context(body.webappcommons-theme-patrolred)[help] aside{background-color:#ecf2f6;color:#fff}:host-context(body.webappcommons-theme-patrolred.theme-light)[subtle] aside{background-color:#999;color:#333}:host-context(body.webappcommons-theme-patrolred.theme-dark)[subtle] aside{background-color:#666;color:#000}:host-context(body.webappcommons-theme-patrolred.theme-light)[subtler] aside{background-color:#bfbfbf;color:#333}:host-context(body.webappcommons-theme-patrolred.theme-dark)[subtler] aside{background-color:#404040;color:#000}:host-context(body.webappcommons-theme-patrolred.theme-light)[subtlest] aside{background-color:#f2f2f2;color:#333}:host-context(body.webappcommons-theme-patrolred.theme-dark)[subtlest] aside{background-color:#0d0d0d;color:#000}:host-context(body.webappcommons-theme-purple)[info] aside{background-color:#609;color:#fff}:host-context(body.webappcommons-theme-purple)[error] aside{background-color:#e63322;color:#fff}:host-context(body.webappcommons-theme-purple)[notification] aside{background-color:#fc3;color:#000}:host-context(body.webappcommons-theme-purple)[success] aside{background-color:#8bc34a;color:#000}:host-context(body.webappcommons-theme-purple)[help] aside{background-color:#fffbcb;color:#000}:host-context(body.webappcommons-theme-purple.theme-light)[subtle] aside{background-color:#999;color:#333}:host-context(body.webappcommons-theme-purple.theme-dark)[subtle] aside{background-color:#666;color:#000}:host-context(body.webappcommons-theme-purple.theme-light)[subtler] aside{background-color:#bfbfbf;color:#333}:host-context(body.webappcommons-theme-purple.theme-dark)[subtler] aside{background-color:#404040;color:#000}:host-context(body.webappcommons-theme-purple.theme-light)[subtlest] aside{background-color:#f2f2f2;color:#333}:host-context(body.webappcommons-theme-purple.theme-dark)[subtlest] aside{background-color:#0d0d0d;color:#000}"]
            })
        ], CommonsInfoLineComponent);
        return CommonsInfoLineComponent;
    }(ngxAngularcommonsCore.CommonsComponent));

    var CommonsDetailsComponent = /** @class */ (function (_super) {
        __extends(CommonsDetailsComponent, _super);
        function CommonsDetailsComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        CommonsDetailsComponent = __decorate([
            core.Component({
                selector: '[commons-details]',
                template: "<ng-content></ng-content>",
                styles: ["@charset 'utf8';:host{list-style:none;margin:0;padding:0}"]
            })
        ], CommonsDetailsComponent);
        return CommonsDetailsComponent;
    }(ngxAngularcommonsCore.CommonsComponent));

    var CommonsDetailLabelComponent = /** @class */ (function (_super) {
        __extends(CommonsDetailLabelComponent, _super);
        function CommonsDetailLabelComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        __decorate([
            core.Input()
        ], CommonsDetailLabelComponent.prototype, "icon", void 0);
        CommonsDetailLabelComponent = __decorate([
            core.Component({
                selector: '[commons-detail-label]',
                template: "<label><i class=\"material-icons\" *ngIf=\"this.icon\">{{this.icon}}</i><ng-content></ng-content></label>",
                styles: ["@charset 'utf8';:host{display:block;margin:0;padding:0;float:left;box-sizing:border-box;height:40px;width:180px}label{position:relative;top:0;box-sizing:border-box;height:40px;width:180px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;float:left;font-family:Roboto;font-size:16px;font-weight:400;line-height:16px;padding-top:12px}:host-context(body.webappcommons-theme-blue) label{color:#333}:host-context(body.webappcommons-theme-darkred) label{color:#b8b8b8}:host-context(body.webappcommons-theme-hotpink) label{color:#333}:host-context(body.webappcommons-theme-marine) label{color:#333}:host-context(body.webappcommons-theme-muted) label{color:#333}:host-context(body.webappcommons-theme-night) label{color:#333}:host-context(body.webappcommons-theme-patrolred) label{color:#333}:host-context(body.webappcommons-theme-purple) label{color:#333}label i{float:left;width:40px;position:relative;top:-12px;padding-top:8px}:host.compact{width:110px}:host.compact label{width:110px}"]
            })
        ], CommonsDetailLabelComponent);
        return CommonsDetailLabelComponent;
    }(ngxAngularcommonsCore.CommonsComponent));

    var CommonsDetailTextComponent = /** @class */ (function (_super) {
        __extends(CommonsDetailTextComponent, _super);
        function CommonsDetailTextComponent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.editable = false;
            _this.onEdit = new core.EventEmitter();
            return _this;
        }
        CommonsDetailTextComponent.prototype.doEdit = function () {
            this.onEdit.emit();
        };
        __decorate([
            core.Input()
        ], CommonsDetailTextComponent.prototype, "editable", void 0);
        __decorate([
            core.Output()
        ], CommonsDetailTextComponent.prototype, "onEdit", void 0);
        CommonsDetailTextComponent = __decorate([
            core.Component({
                selector: '[commons-detail-text]',
                template: "<button commons-button *ngIf=\"this.editable\"\n\t\tclass=\"icon small raised\"\n\t\t(click)=\"this.doEdit();\"\n><i class=\"material-icons\">mode_edit</i></button>\n<span\n\t\t[class.editable]=\"this.editable\"\n><ng-content></ng-content></span>",
                styles: ["@charset 'utf8';:host{display:block;margin:0;padding:12px 0 0;position:relative;top:0;left:0;box-sizing:border-box;height:40px;font-family:Roboto;font-size:16px;font-weight:500;line-height:16px;white-space:nowrap}button{float:right;position:relative;top:-8px}span{display:inline-block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;height:24px}span.editable{width:calc(100% - 220px)}:host.compact span.editable{width:calc(100% - 150px)}"]
            })
        ], CommonsDetailTextComponent);
        return CommonsDetailTextComponent;
    }(ngxAngularcommonsCore.CommonsComponent));

    var CommonsBodyBackgroundComponent = /** @class */ (function (_super) {
        __extends(CommonsBodyBackgroundComponent, _super);
        function CommonsBodyBackgroundComponent() {
            return _super.call(this) || this;
        }
        CommonsBodyBackgroundComponent = __decorate([
            core.Component({
                selector: 'commons-body-background',
                template: "<section></section>",
                styles: ["@charset 'utf8';section{display:block;position:fixed;top:0;left:0;right:0;bottom:0;margin:0;padding:0;z-index:-1000}:host-context(body.webappcommons-theme-blue.theme-light) section{background-color:#fff}:host-context(body.webappcommons-theme-blue.theme-dark) section{background-color:#000}:host-context(body.webappcommons-theme-darkred.theme-light) section{background-color:#212121}:host-context(body.webappcommons-theme-darkred.theme-dark) section{background-color:#dedede}:host-context(body.webappcommons-theme-hotpink.theme-light) section{background-color:#fff}:host-context(body.webappcommons-theme-hotpink.theme-dark) section{background-color:#000}:host-context(body.webappcommons-theme-marine.theme-light) section{background-color:#fff}:host-context(body.webappcommons-theme-marine.theme-dark) section{background-color:#000}:host-context(body.webappcommons-theme-muted.theme-light) section{background-color:#fff}:host-context(body.webappcommons-theme-muted.theme-dark) section{background-color:#000}:host-context(body.webappcommons-theme-night.theme-light) section{background-color:#fff}:host-context(body.webappcommons-theme-night.theme-dark) section{background-color:#000}:host-context(body.webappcommons-theme-patrolred.theme-light) section{background-color:#fff}:host-context(body.webappcommons-theme-patrolred.theme-dark) section{background-color:#000}:host-context(body.webappcommons-theme-purple.theme-light) section{background-color:#fff}:host-context(body.webappcommons-theme-purple.theme-dark) section{background-color:#000}"]
            })
        ], CommonsBodyBackgroundComponent);
        return CommonsBodyBackgroundComponent;
    }(ngxAngularcommonsCore.CommonsComponent));

    var NgxWebAppCommonsCoreModule = /** @class */ (function () {
        function NgxWebAppCommonsCoreModule() {
        }
        NgxWebAppCommonsCoreModule_1 = NgxWebAppCommonsCoreModule;
        NgxWebAppCommonsCoreModule.forRoot = function () {
            return {
                ngModule: NgxWebAppCommonsCoreModule_1,
                providers: [
                    CommonsThemeService
                ]
            };
        };
        var NgxWebAppCommonsCoreModule_1;
        NgxWebAppCommonsCoreModule = NgxWebAppCommonsCoreModule_1 = __decorate([
            core.NgModule({
                imports: [
                    common.CommonModule,
                    ngxAngularcommonsApp.NgxAngularCommonsAppModule,
                    ngxAngularcommonsCore.NgxAngularCommonsCoreModule
                ],
                declarations: [
                    CommonsPaneComponent,
                    CommonsInfoLineComponent,
                    CommonsButtonComponent,
                    CommonsButtonBarComponent,
                    CommonsDetailsComponent,
                    CommonsDetailLabelComponent,
                    CommonsDetailTextComponent,
                    CommonsBodyBackgroundComponent
                ],
                exports: [
                    CommonsPaneComponent,
                    CommonsInfoLineComponent,
                    CommonsButtonComponent,
                    CommonsButtonBarComponent,
                    CommonsDetailsComponent,
                    CommonsDetailLabelComponent,
                    CommonsDetailTextComponent,
                    CommonsBodyBackgroundComponent
                ]
            })
        ], NgxWebAppCommonsCoreModule);
        return NgxWebAppCommonsCoreModule;
    }());

    exports.CommonsBodyBackgroundComponent = CommonsBodyBackgroundComponent;
    exports.CommonsButtonBarComponent = CommonsButtonBarComponent;
    exports.CommonsButtonComponent = CommonsButtonComponent;
    exports.CommonsDetailLabelComponent = CommonsDetailLabelComponent;
    exports.CommonsDetailTextComponent = CommonsDetailTextComponent;
    exports.CommonsDetailsComponent = CommonsDetailsComponent;
    exports.CommonsInfoLineComponent = CommonsInfoLineComponent;
    exports.CommonsPaneComponent = CommonsPaneComponent;
    exports.CommonsThemeService = CommonsThemeService;
    exports.ECOMMONS_THEMES = ECOMMONS_THEMES;
    exports.ECOMMONS_THEME_COLORS = ECOMMONS_THEME_COLORS;
    exports.EMATERIAL_DESIGN_ICONSS = EMATERIAL_DESIGN_ICONSS;
    exports.NgxWebAppCommonsCoreModule = NgxWebAppCommonsCoreModule;
    exports.fromECommonsThemeColor = fromECommonsThemeColor;
    exports.fromECommonsThemeContrast = fromECommonsThemeContrast;
    exports.fromEMaterialDesignIcons = fromEMaterialDesignIcons;
    exports.isECommonsThemeColor = isECommonsThemeColor;
    exports.isECommonsThemeContrast = isECommonsThemeContrast;
    exports.isEMaterialDesignIcons = isEMaterialDesignIcons;
    exports.isTCommonsThemeConfig = isTCommonsThemeConfig;
    exports.keyToECommonsThemeColor = keyToECommonsThemeColor;
    exports.keyToECommonsThemeContrast = keyToECommonsThemeContrast;
    exports.keyToEMaterialDesignIcons = keyToEMaterialDesignIcons;
    exports.toECommonsThemeColor = toECommonsThemeColor;
    exports.toECommonsThemeContrast = toECommonsThemeContrast;
    exports.toEMaterialDesignIcons = toEMaterialDesignIcons;
    exports.ɵ0 = ɵ0;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngx-webappcommons-core.umd.js.map
