import { RendererFactory2 } from '@angular/core';
import { Observable } from 'rxjs';
import { CommonsConfigService } from 'ngx-angularcommons-app';
import { ECommonsThemeColor } from '../enums/ecommons-theme-color';
import { ECommonsThemeContrast } from '../enums/ecommons-theme-contrast';
export declare class CommonsThemeService {
    private configService;
    private onColorChanged;
    private onContrastChanged;
    private renderer;
    private currentColor;
    private currentContrast;
    constructor(rendererFactory: RendererFactory2, configService: CommonsConfigService);
    loadConfigDefault(): boolean;
    getCurrentColor(): ECommonsThemeColor;
    getCurrentContrast(): ECommonsThemeContrast;
    setCurrentColor(color: ECommonsThemeColor): void;
    setCurrentContrast(contrast: ECommonsThemeContrast): void;
    colorChangedObservable(): Observable<ECommonsThemeColor | undefined>;
    contrastChangedObservable(): Observable<ECommonsThemeContrast | undefined>;
}
